This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 865593 - Image pushed to RHEVM but launch fails with "image not pushed"
Image pushed to RHEVM but launch fails with "image not pushed"
Status: CLOSED WORKSFORME
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Angus Thomas
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 17:02 EDT by Aaron Weitekamp
Modified: 2012-10-17 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 11:37:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aeolus-debug logs (13.66 MB, application/x-gzip)
2012-10-11 17:02 EDT, Aaron Weitekamp
no flags Details
RHEVM image pushed but build and target image UUIDs N/A (162.42 KB, image/jpeg)
2012-10-11 17:03 EDT, Aaron Weitekamp
no flags Details
RHEVM failed launch (101.79 KB, image/jpeg)
2012-10-11 17:03 EDT, Aaron Weitekamp
no flags Details

  None (edit)
Description Aaron Weitekamp 2012-10-11 17:02:19 EDT
Created attachment 625692 [details]
aeolus-debug logs

Description of problem:
Error "Some Component Blueprints will not be launched: rhevm: Image is not pushed to this Cloud Resource Provider Account"

Launching to RHEVM. Pushed image verified to be present on provider. WebUI doesn't display build and target image UUIDs but CLI does print UUIDs (below)


Version-Release number of selected component (if applicable):
1.1, beta snap#4
[root@qeblade40 aeolus-conductor]# rpm -qa |grep aeolus
aeolus-all-0.13.18-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-daemons-0.13.18-1.el6cf.noarch
aeolus-conductor-0.13.18-1.el6cf.noarch
rubygem-aeolus-cli-0.7.4-1.el6cf.noarch
aeolus-configure-2.8.9-1.el6cf.noarch
aeolus-conductor-doc-0.13.18-1.el6cf.noarch


How reproducible:
one-time. working on repo steps

Steps to Reproduce:
1. Built and pushed 5 images consecutively (automated) to RHEVM
2. RHEL-6.3-x86_64 config server launched successfully
3. RHEL-6Server-x86_64 CF Tools launched successfully
4. RHEL-5Server-x86_64 CF Tools failed

Actual results:
Image launch fails.

Expected results:
WebUI should display build and target image UUIDs. Launch should succeed.


####
# CLI OUTPUT:
####

[root@qeblade40 ~]# aeolus-image list --builds 23bf3b1e-13c7-11e2-a048-80c16e62ddb4
ID                                       Image                                    
------------------------------------     ------------------------------------     
5161930f-cf57-4270-813b-4b7f9f5e339f     23bf3b1e-13c7-11e2-a048-80c16e62ddb4     

[root@qeblade40 ~]# aeolus-image list --targetimages 5161930f-cf57-4270-813b-4b7f9f5e339f
ID                                       Status       Build                                    
------------------------------------     --------     ------------------------------------     
fe6468f4-8b9e-4807-adf7-657f918593f5     COMPLETE     5161930f-cf57-4270-813b-4b7f9f5e339f     
            

[root@qeblade40 ~]# aeolus-image list --providerimages fe6468f4-8b9e-4807-adf7-657f918593f5
ID                                       Target Identifier                        Status       Target Image                             Account     Provider          Provider Type     
------------------------------------     ------------------------------------     --------     ------------------------------------     -------     -------------     -------------     
9ce8be55-ab68-4abd-9673-11fce8750762     0fa98e90-12bb-4021-b7d2-6e26a4c30ade     COMPLETE     fe6468f4-8b9e-4807-adf7-657f918593f5     rhevm       rhevm-default     rhevm             

####
# APP BLUEPRINT XML:
####
<?xml version="1.0"?>
<deployable version="1.0" name="CFtools-x86_64-5Server-Dev">
  <description/>
  <assemblies>
    <assembly hwp="small-x86_64" name="CFtools-x86-64-5Server">
      <image id="23bf3b1e-13c7-11e2-a048-80c16e62ddb4"/>
    </assembly>
  </assemblies>
</deployable>
Comment 1 Aaron Weitekamp 2012-10-11 17:03:09 EDT
Created attachment 625693 [details]
RHEVM image pushed but build and target image UUIDs N/A
Comment 2 Aaron Weitekamp 2012-10-11 17:03:32 EDT
Created attachment 625695 [details]
RHEVM failed launch
Comment 4 Dave Johnson 2012-10-17 11:37:09 EDT
Aaron, triage meeting has decided to close this out until we have more information on reproduction step.  Please reopen if we see this again.

Note You need to log in before you can comment on or make changes to this bug.